> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trysiren.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Provider Integration

> API to create a new provider integration in Siren

## Header

<ParamField header="Authorization" type="string" required="true" />

<ParamField header="Content-Type" type="string" required="true" />

## Request Body

<ParamField path="providerCode" type="string" required="true" />

<ParamField path="name" type="string" required="true" />

<ParamField path="configuration" type="object" required="true" />

###

## Request Example

<RequestExample>
  ```json Request Example theme={null}
  {
    "providerCode": "SLACK",
    "name": "provider-integrations-name",
    "configuration": {
      "botAuthToken": "your-auth-token",
      "appId": "your-app-id"
    },
    "isPrimary": false
  }
  ```
</RequestExample>

## Response

<ResponseExample>
  ```json theme={null}
  {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "providerCode": "SLACK",
    "name": "provider-integrations-name",
    "status": "ACTIVE",
    "configuration": {
      "botAuthToken": "your-auth-token",
      "appId": "your-app-id"
    },
    "isPrimary": false,
    "createdAt": "2025-07-29T12:00:00Z",
    "updatedAt": "2025-07-29T12:00:00Z"
  }
  ```
</ResponseExample>

## Status Codes

`201` - Created: Provider integration created successfully\
`400` - Bad Request: Invalid input data\
`401` - Unauthorized: Invalid or missing authentication\
`409` - Conflict: Provider integration with this name already exists\
`500` - Internal Server Error: Failed to create provider integration

## cURL Example

```bash theme={null}
curl --location 'https://api.trysiren.io/api/v1/public/provider-integrations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer bd9d07a8073a41eca003e5f0a841db7c' \
--data '{
  "providerCode": "SLACK",
  "name": "provider-integrations-name",
  "configuration": {
    "botAuthToken": "your-auth-token",
    "appId": "your-app-id"
  },
  "isPrimary": false
}'
```
